/*
 * XFormat (xf) (C) 1997 by Karsten Ballder <Ballueder@usa.net>
 *
 * This program is protected and licensed under the terms and
 * conditions of the GNU General Public License, Version 2.
 *
 */

#include	"config.h"
#include	<wxExtApp.h>
#include	<stdlib.h>
#include	<strings.h>

void
wxExtApp::SetLanguage(const char *l)
{
#ifdef	HAVE_LIBINTL

   if(l)
      setenv ("LANGUAGE", l, 1);
   else
      unsetenv("LANGUAGE");
      
      /* Make change known.  */
      {	
	 extern int  _nl_msg_cat_cntr;
	 ++_nl_msg_cat_cntr;	
      }
#endif
}

wxExtApp::wxExtApp(const char *iappname)
{
   int i;

   appname = new char[strlen(iappname)+1];
   strcpy((char *) appname, iappname);
   
   config = new FileConfig(appname);

   // try parsing all commandline options like -oLanguage=de
   
   for(i = 1; i < argc; i++)
      if(argv[i][0] == '-' && argv[i][1] == 'o')
	 config->parseLine(argv[i]+2);

   config->setCurrentPath();	// default Group

#ifdef	HAVE_LIBINTL
   setlocale (LC_ALL, "");
   bindtextdomain (appname, LOCALEDIR);
   textdomain (appname);


   const char *ll;

   ll = config->readEntry("Language",(const char *)0);
   if(ll)
      SetLanguage(ll);
#endif
   config->setCurrentPath(appname);
   
}

wxExtApp::~wxExtApp()
{
   delete config;
   delete [] appname;
}


